#ifndef TASKING_C166_CPP_FI_H
#define TASKING_C166_CPP_FI_H

/* Any other items that may be required in a "force-include" file should be placed below. */
void __CoABS();
void __CoADD(long);
void __CoADD2(long);
void __CoASHR(unsigned int);
unsigned int __CoCMP(long);
void __CoLOAD(long);
void __CoLOAD2(long);
void __CoMAC(int, int);
void __CoMAC_min(int, int);
void __CoMACsu(int, unsigned int);
void __CoMACsu_min(int, unsigned int);
void __CoMACu(unsigned int, unsigned int);
void __CoMACu_min(unsigned int, unsigned int);
void __CoMACus(unsigned int, int);
void __CoMACus_min(unsigned int, int);
void __CoMAX(long);
void __CoMIN(long);
void __CoMUL(int, int);
void __CoMUL_min(int, int);
void __CoMULsu(int, unsigned int);
void __CoMULsu_min(int, unsigned int);
void __CoMULu(unsigned int, unsigned int);
void __CoMULu_min(unsigned int, unsigned int);
void __CoMULus(unsigned int, int);
void __CoMULus_min(unsigned int, int);
void __CoNEG();
void __CoNOP();
void __CoRND();
void __CoSHL(unsigned int);
void __CoSHR(unsigned int);
long __CoSTORE();
int __CoSTOREMAH();
int __CoSTOREMAL();
int __CoSTOREMAS();
int __CoSTOREMSW();
void __CoSUB(long);
void __CoSUB2(long);
void *__alloc(unsigned int);
void __bfld(volatile unsigned int *, unsigned short, unsigned short);
void __diswdt();
int __div32(long, int);
unsigned int __divu32(unsigned long, unsigned int);
char *__dotdotdot__();
void __einit();
void __enwdt();
void __free(void *);
unsigned long __get_return_address();
void *__getsp();
void __idle();
void __int166(unsigned char);
void *__mkfp(unsigned int, unsigned int);
int __mod32(long, int);
unsigned int __modu32(unsigned long, unsigned int);
long __mul32(int, int);
unsigned long __mulu32(unsigned int, unsigned int);
void __nop();
void __nosat();
void __noscale();
unsigned int __prior(unsigned int);
void __pwrdn();
unsigned int __rol(unsigned int, unsigned int);
unsigned int __ror(unsigned int, unsigned int);
void __sat();
void __scale();
void __setsp(void *);
void __srvwdt();

#else
#error "Multiple include"
#endif  /* ifndef TASKING_C166_CPP_FI_H */
